<?php
include("configuracao.php");//confirma no banco de dados
include("inclusos/funcoes.php");
?>

<?php
 $mes= $_GET['mes'];
 $ano= $_GET['ano'];

 if($mes == ""){
	 $mes= date('m');
 }

 $proximo_mes = $mes+1;
 $anterior_mes = $mes-1;
 $ano_anterior =  $_GET['ano'];
 $ano_proximo =  $_GET['ano'];


 
 if($ano == ""){
	$ano =  date('Y');
 $ano_anterior =  date('Y');
 $ano_proximo =  date('Y');	
 }
 
 
 if($mes == 1)  {
 $dias=31;
 $nome="Janeiro";

 $proximo_mes = 2;
 $anterior_mes = 12;
 $ano_anterior =  $ano - 1;
 $ano_proximo =  $ano;

 }
 if($mes == 2)  {
     if($ano == "2020"){
    $dias=29;   
    }else{     
    $dias=28;
    }
 $nome="Fevereiro";
 }
 if($mes == 3)  {
 $dias=31;
 $nome="Março";
 }
 if($mes == 4)  {
 $dias=30;
 $nome="Abril";
 }
 if($mes == 5)  {
 $dias=31;
 $nome="Maio";
 }
 if($mes == 6)  {
 $dias=30;
 $nome="Junho";
 }
 if($mes == 7)  {
 $dias=31;
 $nome="Julho";
 }
 if($mes == 8)  {
 $dias=31;
 $nome="Agosto";
 }
 if($mes == 9)  {
 $dias=30;
 $nome="Setembro";
 }
 if($mes == 10) {
 $dias=31;
 $nome="Outubro";
 }
 if($mes == 11) {
 $dias=30;
 $nome="Novembro";
 }
 if($mes == 12) {
 $dias=31;
 $nome="Dezembro";
 
 $proximo_mes = 1;
 $anterior_mes = 11;
 $ano_anterior =  $ano;
 $ano_proximo =  $ano + 1;
 
 }
 

$teste_array_status = $_GET['idtipo_agenda'];
if($teste_array_status){
$ids_status_inicial = join(',',$teste_array_status);  
$ids_tipo_agenda = "'" . str_replace(",", "','", $ids_status_inicial) . "'";
}
 
?>
<html>
  <head>
    <meta charset="UTF-8">
    <title>MinhaEmpresa | Sistema de Gerenciamento</title>
	
    <meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
    
    <!--CSS -->

        <link href="<?php echo $DiretorioVirtual;?>css/jquery-ui.min.css" type="text/css" rel="stylesheet">
        <link href="<?php echo $DiretorioVirtual;?>bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css" />
        <link href="<?php echo $DiretorioVirtual;?>css/font-awesome.min.css" rel="stylesheet" type="text/css" />
        <link href="<?php echo $DiretorioVirtual;?>css/ionicons.min.css" rel="stylesheet" type="text/css" />
        <link href="<?php echo $DiretorioVirtual;?>dist/css/AdminLTE.min.css" rel="stylesheet" type="text/css" />
        <link rel="stylesheet" href="<?php echo $DiretorioVirtual;?>css/bootstrap-select.min.css" />
	  <link rel="stylesheet" href="<?php echo $DiretorioVirtual;?>/js/chosen1.8/chosen.css">


        <!-- JS -->
        <script src="<?php echo $DiretorioVirtual;?>plugins/jQuery/jQuery-2.1.3.min.js"></script>
        <script src="<?php echo $DiretorioVirtual;?>js/funcoes.js"></script>
        <script type="text/javascript" src="<?php echo $DiretorioVirtual;?>js/jquery-ui.min.js"></script>
        <script src="<?php echo $DiretorioVirtual;?>bootstrap/js/bootstrap.min.js" type="text/javascript"></script>
        <script src="<?php //echo $DiretorioVirtual;?>js/bootstrap-select.min.js"></script>

    <style type="text/css">
    @media print{
    .header{display:none;}
    .footer{display:none;}
    .menu{display:none;}
    .sidebar{display:none;}
    .main-footer{display:none;}
    }      
    </style>         

  </head>
  <body class="skin-blue">
 <section class="content">
        <div class="row">


<div class="content">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
            Agenda Ensaios e Estúdios
            <small>listagem de agenda</small>
          </h1>
          <ol class="breadcrumb">
            <li><a href="index.php"><i class="fa fa-dashboard"></i> Home</a></li>
            <li><a href="agenda_externa.php">Agenda Geral</a></li>
            <li class="active">Listagem</li>
          </ol>
        </section>

        <!-- Main content -->
        <section class="content">
          <div class="row">
            <div class="col-xs-12"><!-- /.box -->

              <div class="box">
<table width="100%" border="0" cellspacing="0" cellpadding="2">
  <tbody>
    <tr>
      <td><h3 class="box-title"><?php  echo "<strong>" .$nome . " de " . $ano . "</strong>"; ?></h3></td>
      <td>
	<div class='col-xs-6'>                	
	<form method="get" action="agenda_externa.php" enctype="multipart/form-data">		
	<input type="hidden" name="mes" value="<?php $_GET['mes'];?>">
	<input type="hidden" name="ano" value="<?php $_GET['ano'];?>">
	<input type="hidden" name="idcliente" value="<?php $_GET['idcliente'];?>">
	<input type="hidden" name="idatendimento" value="<?php $_GET['idatendimento'];?>">
		
		
	<select name="idtipo_agenda[]" id="idtipo_agenda" multiple style="width: 200px; text-transform: uppercase">
	<?php 
	$SelecionaMenus = Seleciona("agenda_tipos", "", "ORDER BY titulo ASC");
	while($linha_menus = mysql_fetch_array($SelecionaMenus)){
	?>
	<option value="<?php echo $linha_menus['idtipo_agenda']?>"><?php echo $linha_menus['titulo']?></option>
	<?php } ?>
	</select> 	
	<button type="submit" class="btn btn-primary">Filtrar</button>	
	</form>	
	</div>		
	</td>
      <td width="100">
		  <button type="button" class="btn btn-success" onclick="location.href='agenda_externa.php?mes=<?php echo date('m');?>&ano=<?php echo $ano;?>&idcliente=<?php echo $_GET['idcliente'];?>&idatendimento=<?php echo $_GET['idatendimento'];?>&idtipo_agenda=<?php echo $ids_status_inicial?>';">Mês Atual</button></td>    
		
      <td width="100"><button type="button" class="btn btn-success" onclick="location.href='agenda_externa.php?mes=<?php echo $anterior_mes;?>&ano=<?php echo $ano_anterior;?>&idcliente=<?php echo $_GET['idcliente'];?>&idatendimento=<?php echo $_GET['idatendimento'];?>&idtipo_agenda=<?php echo $ids_status_inicial?>';">Mês Anterior</button></td>      
      <td width="100"><button type="button" class="btn btn-success" onclick="location.href='agenda_externa.php?mes=<?php echo $proximo_mes;?>&ano=<?php echo $ano_proximo;?>&idcliente=<?php echo $_GET['idcliente'];?>&idatendimento=<?php echo $_GET['idatendimento'];?>&idtipo_agenda=<?php echo $ids_status_inicial?>';">Próximo Mês</button></td>
    </tr>
  </tbody>
</table>

                  
                <div class="box-body">
<table width="100%" border="0" cellspacing="4" cellpadding="0" style="border: 1px solid #ABABAB;" bgcolor="#FFFFFF">
<tr bgcolor="#C7C7C7">
<td height="30"><center><strong>Domingo</strong></center></td>
<td height="30"><center><strong>Segunda</strong></center></td>
<td height="30"><center><strong>Terça</strong></center></td>
<td height="30"><center><strong>Quarta</strong></center></td>
<td height="30"><center><strong>Quinta</strong></center></td>
<td height="30"><center><strong>Sexta</strong></center></td>
<td height="30"><center><strong>Sábado</strong></center></td>
</tr>
<?php
 echo "<tr>";
 for($i=1;$i<=$dias;$i++) {
 $diadasemana = date("w",mktime(0,0,0,$mes,$i,$ano));
 $cont = 0;
 if($i == 1) {
 while($cont < $diadasemana) {
 echo "<td></td>";
 $cont++;
 }
 }
if($i < 10){
	$i = "0".$i;
}
$data_atual = $ano."-". $mes ."-".$i;
	
//VERIFICA FERIADO * ERICA 18/02/2019

$SelecionaFeriado = Seleciona("feriados", "WHERE data_feriado='$data_atual'", "");
$TotalFeriado = mysql_num_rows($SelecionaFeriado);

if($data_hoje == $data_atual){
	$cor = "#DFEFFF";	
}

if($TotalFeriado != "0"){
	$cor = "#CC99FF";
}     
     
     
if($ids_tipo_agenda == ""){
$Seleciona = Seleciona("agenda", "WHERE excluido IS NULL AND data='$data_atual'", "ORDER BY horainicio ASC") or die(mysql_error());
    
$SelecionaGeral = Seleciona("agenda", "WHERE excluido IS NULL AND data='$data_atual'", "ORDER BY horainicio ASC") or die(mysql_error());
    
}else{
$Seleciona = Seleciona("agenda", "WHERE excluido IS NULL AND tipo IN ($ids_tipo_agenda) AND data='$data_atual'", "ORDER BY horainicio ASC") or die(mysql_error());
$SelecionaGeral = Seleciona("agenda", "WHERE excluido IS NULL AND tipo IN ($ids_tipo_agenda) AND data='$data_atual'", "ORDER BY horainicio ASC") or die(mysql_error());	
	
}
$TotalAgenda = mysql_num_rows($SelecionaGeral);
if($TotalAgenda == 0){
	$cor = "#FFFFFF";
}else{
	$cor = "#FFFFFF";
}
$data_hoje = date('Y-m-d');

//VERIFICA FERIADO * ERICA 10/02/2017

$SelecionaFeriado = Seleciona("feriados", "WHERE data_feriado='$data_atual'", "");
$TotalFeriado = mysql_num_rows($SelecionaFeriado);

if($data_hoje == $data_atual){
	$cor = "#DFEFFF";	
}

if($TotalFeriado != "0"){
	$cor = "#CC99FF";
}
//echo $data_atual . " - " . $data_hoje . "<br>";
echo "<td width='140' height='150' valign='top' bgcolor='".$cor."' style='border: 1px solid black'>";
//echo "<button type='button' class='BoxVerde' style='float:right;' onclick=location.href='manutencao_festas.php&data_agenda=".$data_atual."';>Novo</button> ";
echo "<strong style='padding-left: 75px; font-size: 12px'>".$i . "/" . $mes . "/" .$ano . "</strong><br>";

//VERIFICA FERIADO

if($TotalFeriado == "0"){

//SELECIONA ATENDIMENTOS

while($linha = mysql_fetch_array($Seleciona)){
    
//VERIFICA SE POSSUI ATENDIMENTO    

if($linha['idatendimento'] > 0){ 


$selecionar_atendimentos = Seleciona("atendimentos_agenciae", "WHERE idatendimento='".$linha['idatendimento']."'", "") or die(mysql_error());
while($linha_atendimentos=mysql_fetch_array($selecionar_atendimentos)){
$aniversariante = ' - ' .$linha_atendimentos['aniversariante']; 
 }	    
}    

		$SelecionaAgenda = Seleciona("agenda_tipos", "WHERE idtipo_agenda='".$linha['tipo'] ."'", "ORDER BY titulo ASC");
		while($linha_agendas = mysql_fetch_array($SelecionaAgenda)){
			$TituloTipo = $linha_agendas['titulo'];
			$CorTipo = $linha_agendas['cor'];
		}
		
	
$selecionar_clientes = Seleciona("clientes", "WHERE idcliente='".$linha['idcliente']."'", "") or die(mysql_error());
while($linha_clientes=mysql_fetch_array($selecionar_clientes)){
	
$responsavel = $linha_clientes['nome']; 

}
// echo "<span style='background-color: ".$CorTipo."; padding: 4px; font-weight: bold; color: white'>" . $TituloTipo . "</span> <br><strong>Cód. " . $linha['idatendimento'] . "</strong> <br>" . RetornaCampoGeral("atendimentos_agenciae", $linha['idatendimento'], "idatendimento", "aniversariante") . " - Hora: " . $linha['horainicio'] . "<br><strong>Cliente: " . $responsavel . "</strong><br><br>";
//echo '<a href="detalhe_agenda_lytebox.php?idagenda='.$linha['idagenda'].'" class="fancybox fancybox.iframe" style="display: list-item">';
    
    if($aniversariante == ""){
        $aniversariante = " - " . $linha['assunto'];
    }    
    
 echo "<span style='background-color: ".$CorTipo."; padding: 10px; display: inherit; font-weight: bold; border: 1px solid white; color: white'>" . $TituloTipo . " | Hora: " . $linha['horainicio'] . $aniversariante."</span><br>";
//echo '</a>'	;
$aniversariante = "";    
}
//echo '<br><a class="fancybox fancybox.iframe" href="estudio_agenda.php?data_atual='.$data_atual.'&idatendimento='.$_GET['idatendimento'].'&idcliente='.$_GET['idcliente'].'&idtipo_agenda='.$ids_status_inicial.'" style="color: #000000; font-weight: bold; font-size: 12px; ">';
echo "Total de Estúdio/Ensaio: " . $TotalAgenda;
//echo "</a>";
}else{
	echo "<br><br><br><br><strong style='padding-left: 45px;'> DATA INDISPONIVEL </strong>";	
}

 echo "</td>";
 if($diadasemana == 6) {
 echo "</tr>";
 echo "<tr>";
 $responsavel = "";
 }
 }
 echo "</tr>";
 ?>
</table>
<?php
$SelecionaTipos = Seleciona("agenda_tipos", "", "ORDER BY titulo ASC");
while($tipos = mysql_fetch_array($SelecionaTipos)){
echo '<i class="fa fa-circle" aria-hidden="true" style="color:'.$tipos['cor'].'"></i> ' . $tipos['titulo'] . "| ";   
}
?> 					
</div>
</div>
</div>
</section>
			</div>
            </div>
     </div>
     
     <br><br>
<h3 class="box-title">Agenda de Hoje </h3>    
     
<table id="example1" class="table table-bordered table-striped">
<thead>
<tr>
<th style="cursor:pointer">Código</th>
<th style="cursor:pointer">Data</th>
<th style="cursor:pointer">Titulo</th>
</tr>
</thead>
<tbody>
<?php								

$datahoje = date('Y-m-d');
    
$SelecionaAgenda = Seleciona("agenda", "WHERE excluido IS NULL AND data='$datahoje'", "ORDER BY horainicio ASC") or die(mysql_error());
while($linha = mysql_fetch_array($SelecionaAgenda)){

?>
<tr>
<td><?php echo $linha['idagenda'];?></td>
<td><?php echo InverteDataNovoSeparador($linha['data'], "-","/");?></td>
<td><?php echo $linha['assunto'];?></td>
</tr>
<?php 
}?>
</tbody>
</table>     
     
      </section>
    </body>
</html>
